# Contributing

First, thank you for contributing! We love and encourage pull requests from everyone.

As a contributor, here are the guidelines we would like you to follow:

- Check the [open issues][issues] and [pull requests][prs] for existing discussions.
- Open an [issue][issues] first, to discuss a new feature or enhancement.
- Write a comprehensive comment for exported types and methods.
- Write tests, and make sure the test suite passes locally and on CI.
- If a test requires external system, add the build tag `//+build integration`.
- Open a pull request, and reference the relevant issue(s).
- PRs will be squashed and merged, so keep your PR focus on one thing.
- Have fun!

[issues]: https://github.com/DoNewsCode/core/issues
[prs]: https://github.com/DoNewsCode/core/pulls
